Name:           agave
Summary:        A GNOME tool to choose colors
Version:        0.4.7
Release:        %mkrel 13
Source0:        http://download.gna.org/colorscheme/releases/%{name}-%{version}.tar.bz2
Patch0:         agave-0.4.7-mdv-fix-str-fmt.patch
Patch1:         agave-0.4.7-fix-build.patch
BuildRequires:  gnome-doc-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  gtkmm2.4-devel
BuildRequires:  pkgconfig(libglademm-2.4)
BuildRequires:  gnomeui2-devel
BuildRequires:  gconfmm2.6-devel
BuildRequires:  boost-devel
BuildRequires:  intltool

URL:            http://home.gna.org/colorscheme/
Group:          Graphics/Utilities
License:        GPLv2

%description
A GNOME tool to choose colors

%prep
%setup -q
%patch0 -p1 -b .agave-0.4.7-mdv-fix-str-fmt.patch
%patch1 -p0 -b .agave-0.4.7-fix-build.patch

%build
CXXFLAGS="%{optflags} -std=gnu++11" \
%configure2_5x
%make

%install
%makeinstall_std

 desktop-file-install \
 --dir=%{buildroot}%{_datadir}/applications \
 --remove-key='Encoding' \
 --remove-category='Graphics' \
 --remove-category='Application' \
 --add-category='Graphics' \
 %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %name --with-gnome

%files -f %name.lang
%doc README NEWS COPYING AUTHORS
%{_bindir}/agave
%{_sysconfdir}/gconf/schemas/agave.schemas
%dir %{_datadir}/agave
%dir %{_datadir}/agave/palettes
%{_datadir}/agave/palettes/*.gpl
%dir %{_datadir}/agave/pixmaps
%{_datadir}/agave/pixmaps/*.png
%dir %{_datadir}/agave/ui
%{_datadir}/agave/ui/agave.glade
%{_datadir}/agave/ui/*.ui
%{_datadir}/applications/agave.desktop
%{_iconsdir}/hicolor/*/apps/agave.png
%{_iconsdir}/hicolor/scalable/apps/agave.svg
%dir %{_datadir}/omf/agave
%{_datadir}/omf/agave/agave*.omf


%changelog
* Sat Feb 13 2016 umeabot <umeabot> 0.4.7-13.mga6
+ Revision: 959479
- Mageia 6 Mass Rebuild

* Fri Sep 04 2015 cjw <cjw> 0.4.7-12.mga6
+ Revision: 872663
- compile C++ code with -std=gnu++11 to fix build with latest libsigc++/gtkmm

* Wed Oct 15 2014 umeabot <umeabot> 0.4.7-11.mga5
+ Revision: 744208
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.7-10.mga5
+ Revision: 677717
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 0.4.7-9.mga5
+ Revision: 644248
+ rebuild (emptylog)

* Sat Oct 19 2013 umeabot <umeabot> 0.4.7-9.mga4
+ Revision: 529347
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 0.4.7-8.mga4
+ Revision: 451681
- rebuild for new boost

* Fri Jan 11 2013 umeabot <umeabot> 0.4.7-7.mga3
+ Revision: 345325
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 barjac <barjac> 0.4.7-6.mga3
+ Revision: 343251
- update group - again

* Sun Dec 30 2012 barjac <barjac> 0.4.7-5.mga3
+ Revision: 336447
- fix desktop file
- update group
- clean spec
- change BR to pkgconfig style to satisfy rpmlint

* Sun Mar 27 2011 ofaurax <ofaurax> 0.4.7-4.mga1
+ Revision: 78040
- imported package agave


* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 0.4.7-4mdv2011.0
+ Revision: 610264
- fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 0.4.7-3mdv2010.1
+ Revision: 541530
- fix spec file

* Mon Dec 14 2009 Olivier Faurax <ofaurax@mandriva.org> 0.4.7-2mdv2010.1
+ Revision: 478393
- rebuild

* Wed Nov 25 2009 Jérôme Brenier <incubusss@mandriva.org> 0.4.7-1mdv2010.1
+ Revision: 470054
- BR intltool
- version 0.4.7
- fix str fmt (P0)
- fix files section
- $RPM_BUILD_ROOT -> %%{buildroot}

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - rebuild

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.4.5-1mdv2008.1
+ Revision: 177232
- update to new release

* Sun Feb 24 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.4.3-2mdv2008.1
+ Revision: 174200
- Add icons for menu (Bug #38094)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.4.3-1mdv2008.1
+ Revision: 115525
- Fix Group
- Add buildRequires

  + Colin Guthrie <cguthrie@mandriva.org>
    - import agave


* Tue Dec 04 2007 Olivier FAURAX <olivier.faurax@laposte.net> 0.4.3-1mdv
- First release
